package com.bonus.boot.manager.career.service;

import com.bonus.boot.manager.basic.entity.HospitalBean;
import com.bonus.boot.manager.career.entity.CareerBean;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * APP登录记录表(AppLoginAudit)表数据库访问层
 *
 * @author makejava
 * @since 2022-12-12 13:57:37
 */
@Mapper
public interface CareerService {
    List<CareerBean> getList(CareerBean o);

    String saveExcelInfo(HttpServletRequest request, MultipartFile file);

    int updateInfo(CareerBean bean);

    List<CareerBean> getPhysicalInfoForOne(CareerBean o);

    String saveExcelInfos(HttpServletRequest request, MultipartFile file);
}

